#!/bin/bash

set -euxo pipefail

/bin/echo "building windows dll"
bazel build @net_eagle0_unity_godice//windows:dll_zip
ZIP_LOCATION=$(bazel cquery --output=files @net_eagle0_unity_godice//windows:dll_zip 2>/dev/null)
/usr/bin/unzip -o $ZIP_LOCATION -d src/main/csharp/net/eagle0/clients/unity/eagle0/Assets/Plugins/
